Subject: bug#5423: Multiline y-or-n prompt in files.el

From: Stephen Berman <[email-masked]>
Date: Thu, 19 Nov 2020 10:33:28 +0100

On Thu, 19 Nov 2020 00:15:04 -0500 Stefan Monnier <[email-masked]> wrote:

>>> find-file-noselect has a multiline y-or-n-p prompt if the file is
>>> already visited and modified (and in a different rawness).  That only
>>> works when the minibuffer can be resized, sadly.  In my case (separate
>>> minibuffer), I only see the beginning of the prompt.
>>
>> That was 10 years ago, so just to check in: is this still an issue?
>
> I'd be surprised if it's been fixed, but I must admit that I can't
> remember how to trigger this,

I'm not sure just what you meant with "beginning of the prompt", but
what I see is only the last line of the entire prompt message:
"The file test is already visited literally,
meaning no coding system handling, format conversion, or local variables.
You have edited the buffer.  Now you have asked to visit the file normally,
but Emacs can visit a file in only one way at a time.

Do you want to save the file, and visit it normally instead? "

To reproduce:

$ touch /tmp/test
$ emacs -Q --eval "(setq resize-mini-windows nil)" /tmp/test
M-x find-file-literally RET /tmp/test RET
=> The minibuffer displays only:
Do you want to save the file, and visit it literally instead? (y or no)

By repeatedly typing `C-p' you can see the entire message line by line.
Tested on current master.  (There also seems to be another separate bug:
that with the above recipe the prompt message seems inappropriate.)

Steve Berman